#include <iostream>
#include <string>
#include <algorithm>
using namespace std;
int main()
{
	string x, y;
	cout << "Unesite x:\n";
	cin >> x;
	cout << "Unesite y:\n";
	cin >> y;
	string x1, y1;
	size_t n = x.size();
	size_t m = y.size();
	if (n > m)
	{
		int pom = n - min(n, m);
	    y1 = string(pom, '0').append(y);
	}
	if (m > n)
	{
		int pom1 = m - min(m, n);
		x1 = string(pom1, '0').append(x);
	}
	if (n == m)
	{
		x1 = x;
		y1 = y;
	}
	string rezultat;
	for (int i = 0; i < max(n,m); i++)
	{
		if (n > m)
		{
			if (x[i] > y1[i])
			{
				rezultat += x[i];
			}
			else if (x[i] < y1[i])
			{
				rezultat += y1[i];
			}
			else if (x[i] == y1[i])
			{
				rezultat += x[i];
				rezultat += y1[i];
			}
		}
		if (n < m)
		{
			if (x1[i] > y[i])
			{
				rezultat += x1[i];
			}
			else if (x1[i] < y[i])
			{
				rezultat += y[i];
			}
			else if (x1[i] == y[i])
			{
				rezultat += x1[i];
				rezultat += y[i];
			}
		}
		if (n == m)
		{
			if (x[i] > y[i])
			{
				rezultat += x[i];
			}
			else if (x[i] < y[i])
			{
				rezultat += y[i];
			}
			else if (x[i] == y[i])
			{
				rezultat += x[i];
				rezultat += y[i];
			}
		}
	}
	cout << rezultat << endl;
}